Bug 334781 - ACPI brightness keys broken in kernel 2.6.23-6
ACPI brightness keys broken in kernel 2.6.23-6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 12:47 EDT by Danny Baumann
Modified: 2007-12-20 14:56 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.23.9-85.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 14:56:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danny Baumann 2007-10-16 12:47:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.1.5) Gecko/20070718 Fedora/2.0.0.5-1.fc7 Firefox/2.0.0.5

Description of problem:
In Fedora8 test3, I can't no longer use the brightness adjust keys of my Toshiba Satellite Pro A100 laptop. Instead of being recognized as brightness change keys, Fn+F6/7 are recognized as regular F6/7 keys.
This used to work fine with Fedora7's kernel 2.6.22.9-91 kernel.
Adjusting the brightness itself (via writing to /proc/acpi/video/VGA/LCD/brightness) works fine, though.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Grab a Toshiba Satellite Pro A100 laptop
2. Press Fn+F6/7
3.

Actual Results:
Key code for F6 is entered (tilde appears in the console).

Expected Results:
Brightness of the LCD is changed.

Additional info:
Comment 1 Jeremy Katz 2007-10-16 14:09:52 EDT
Is there anything in dmesg about unrecognized key scancodes?
Comment 2 Danny Baumann 2007-10-16 14:25:53 EDT
(In reply to comment #1)
> Is there anything in dmesg about unrecognized key scancodes?

No, there isn't.
As mentioned above, the Fn+F6/7 keys emit the normal F6/7 keycodes (64/65) in
the 2.6.23 kernel; in the 2.6.22 kernel they don't emit any user-visible keycode.

Comment 3 Danny Baumann 2007-11-01 05:11:42 EDT
Upstream bug report: http://bugzilla.kernel.org/show_bug.cgi?id=9262
Comment #10 contains a patch that's working fine and is supposed to be non-invasive.
Comment 4 Danny Baumann 2007-11-02 10:45:04 EDT
FYI: There is another, somewhat related, upstream bug report:
http://bugzilla.kernel.org/show_bug.cgi?id=9277.
The patch in this bug fixes weird flickering with brightness-applet and
gnome-power-manager being unable to set the brightness above 35% on Toshiba laptops.
Comment 5 Chuck Ebbert 2007-12-06 19:38:07 EST
 (In reply to comment #3)
> Upstream bug report: http://bugzilla.kernel.org/show_bug.cgi?id=9262
> Comment #10 contains a patch that's working fine and is supposed to be
non-invasive.

Final fix in CVS, in kernels after -80
Comment 6 Fedora Update System 2007-12-12 15:00:03 EST
kernel-2.6.23.9-85.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'
Comment 7 Fedora Update System 2007-12-20 14:56:06 EST
kernel-2.6.23.9-85.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.